# Python consente di utilizzare diversi operatori
# la loro semantica dipende dal tipo delle variabili coinvolte

# interi: operatori aritmetici + - * /
altezza = 3
base = 5

# Python decide il tipo del risultato in maniera coerente rispetto a quello 
# degli operandi. (p.e., moltiplicare interi produce un risultato intero)
area_rettangolo = (base*altezza)
print(area_rettangolo)
print(type(area_rettangolo))

# La divisione tra interi produce un risultato approssimato, rappresentato
# in virgola mobile
area_triangolo = (base*altezza)/2
print(area_triangolo)
print(type(area_triangolo))

# Esiste un operatore per la divisione "intera" (calcola la parte intera del 
# quoziente)
area_triangolo = (base*altezza)//2
print(area_triangolo)
print(type(area_triangolo))

# operatore %: calcola resto della divisione tra due interi
# esempio d' uso: convertire una quantità di secondi in minuti e secondi restanti
secondi = 306
minuti = secondi // 60
resto = secondi % 60
print(minuti,resto)
# stampa del risultato in modo più leggibile
print(minuti, " Minuti e ", secondi, "secondi")

# operatore **: esponenziazione, x**y calcola x elevato alla y
print(2**4)

# libreria matematica: collezione di funzioni matematiche rese disponibili da 
# Python: è possibile usarne una "importandola":es. SQuare RooT
from math import sqrt
radice = sqrt(196)
print(radice, type(radice))

# risolvere un problema: spessore della colazione multistrato: 
# pane-marmellata-pane-marmellata-pane
# vincolo: deve iniziare e finire con il pane
# vincolo2: ha un altezza massima di 10cm
ampiezza_bocca = 10.0
h_pane = 0.4
h_marmellata = 0.3

num_strati = (ampiezza_bocca-h_pane) / (h_pane+h_marmellata)
altezza_panino = h_pane + num_strati*(h_pane+h_marmellata)
print(altezza_panino)
